- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ce_snmp_traps – Manages SNMP traps configuration on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages SNMP traps configurations on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
feature_name - | Choices: aaa arp bfd bgp cfg configuration dad devm dhcpsnp dldp driver efm erps error-down fcoe fei fei_comm fm ifnet info ipsg ipv6 isis l3vpn lacp lcs ldm ldp ldt lldp mpls_lspm msdp mstp nd netconf nqa nvo3 openflow ospf ospfv3 pim pim-std qos radius rm rmon securitytrap smlktrap snmp ssh stackmng sysclock sysom system tcp telnet trill trunk tty vbst vfs virtual-perception vrrp vstm all | Alarm feature name.
interface_number - |  | Interface number.
interface_type - | Choices: Ethernet Eth-Trunk Tunnel NULL LoopBack Vlanif 100GE 40GE MTunnel 10GE GE MEth Vbdif Nve | Interface type.
port_number - |  | Source port number.
trap_name - |  | Alarm trap name.

## Notes

Note

- Recommended connection is `network_cli`.

- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: CloudEngine snmp traps test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: "Config SNMP trap all enable"
        ce_snmp_traps:
          state: present
          feature_name: all
          provider: "{{ cli }}"

      - name: "Config SNMP trap interface"
        ce_snmp_traps:
          state: present
          interface_type: 40GE
          interface_number: 2/0/1
          provider: "{{ cli }}"

      - name: "Config SNMP trap port"
        ce_snmp_traps:
          state: present
          port_number: 2222
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of aaa params after module execution Sample: {'snmp-agent trap': ['enable'], 'undo snmp-agent trap': []}
existing dictionary | always | k/v pairs of existing aaa server Sample: {'snmp-agent trap': [], 'undo snmp-agent trap': []}
proposed dictionary | always | k/v pairs of parameters passed into module Sample: {'feature_name': 'all', 'state': 'present'}
updates list | always | command sent to the device Sample: ['snmp-agent trap enable']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- wangdezhuang (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.